diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user-new.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/user-new.php	2013-07-03 16:24:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/user-new.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once('./admin.php');
  
  if ( is_multisite() ) {
  	if ( ! current_user_can( 'create_users' ) && ! current_user_can( 'promote_users' ) )
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( is_multisite() ) {
  	if ( ! current_user_can( 'create_users' ) && ! current_user_can( 'promote_users' ) )
***************
*** 111,122 ****
  			die();
  		}
  	} else {
! 		// Adding a new user to this blog
  		$user_details = wpmu_validate_user_signup( $_REQUEST[ 'user_login' ], $_REQUEST[ 'email' ] );
  		if ( is_wp_error( $user_details[ 'errors' ] ) && !empty( $user_details[ 'errors' ]->errors ) ) {
  			$add_user_errors = $user_details[ 'errors' ];
  		} else {
! 			$new_user_login = apply_filters('pre_user_login', sanitize_user(wp_unslash($_REQUEST['user_login']), true));
  			if ( isset( $_POST[ 'noconfirmation' ] ) && is_super_admin() ) {
  				add_filter( 'wpmu_signup_user_notification', '__return_false' ); // Disable confirmation email
  			}
--- 111,129 ----
  			die();
  		}
  	} else {
! 		// Adding a new user to this site
  		$user_details = wpmu_validate_user_signup( $_REQUEST[ 'user_login' ], $_REQUEST[ 'email' ] );
  		if ( is_wp_error( $user_details[ 'errors' ] ) && !empty( $user_details[ 'errors' ]->errors ) ) {
  			$add_user_errors = $user_details[ 'errors' ];
  		} else {
! 			/**
! 			 * Filter the user_login, aka the username, before it is added to the site.
! 			 *
! 			 * @since 3.0.0
! 			 *
! 			 * @param string $_REQUEST['user_login'] The sanitized username.
! 			 */
! 			$new_user_login = apply_filters( 'pre_user_login', sanitize_user( wp_unslash( $_REQUEST['user_login'] ), true ) );
  			if ( isset( $_POST[ 'noconfirmation' ] ) && is_super_admin() ) {
  				add_filter( 'wpmu_signup_user_notification', '__return_false' ); // Disable confirmation email
  			}
***************
*** 181,193 ****
  wp_enqueue_script('wp-ajax-response');
  wp_enqueue_script('user-profile');
  
  if ( is_multisite() && current_user_can( 'promote_users' ) && ! wp_is_large_network( 'users' )
  	&& ( is_super_admin() || apply_filters( 'autocomplete_users_for_site_admins', false ) )
  ) {
  	wp_enqueue_script( 'user-suggest' );
  }
  
! require_once( 'admin-header.php' );
  
  if ( isset($_GET['update']) ) {
  	$messages = array();
--- 188,207 ----
  wp_enqueue_script('wp-ajax-response');
  wp_enqueue_script('user-profile');
  
+ /**
+  * Allows you to enable user auto-complete for non-super admins in multisite.
+  *
+  * @since 3.4.0
+  *
+  * @param bool True or false, based on if you enable auto-complete for non-super admins. Default is false.
+  */
  if ( is_multisite() && current_user_can( 'promote_users' ) && ! wp_is_large_network( 'users' )
  	&& ( is_super_admin() || apply_filters( 'autocomplete_users_for_site_admins', false ) )
  ) {
  	wp_enqueue_script( 'user-suggest' );
  }
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' );
  
  if ( isset($_GET['update']) ) {
  	$messages = array();
***************
*** 266,271 ****
--- 280,292 ----
  		$label = __('E-mail or Username');
  	}
  ?>
+ <?php
+ /**
+  * Fires inside the adduser form tag.
+  *
+  * @since 3.0.0
+  */
+ ?>
  <form action="" method="post" name="adduser" id="adduser" class="validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="adduser" />
  <?php wp_nonce_field( 'add-user', '_wpnonce_add-user' ) ?>
***************
*** 289,294 ****
--- 310,329 ----
  	</tr>
  <?php } ?>
  </table>
+ <?php
+ /**
+  * Fires at the end of the new user form.
+  *
+  * Passes a contextual string to make both types of new user forms
+  * uniquely targetable. Contexts are 'add-existing-user' (Multisite),
+  * and 'add-new-user' (single site and network admin).
+  *
+  * @since 3.7.0
+  *
+  * @param string A contextual string specifying which type of new user form the hook follows.
+  */
+ do_action( 'user_new_form', 'add-existing-user' );
+ ?>
  <?php submit_button( __( 'Add Existing User '), 'primary', 'adduser', true, array( 'id' => 'addusersub' ) ); ?>
  </form>
  <?php
***************
*** 298,307 ****
  	if ( $do_both )
  		echo '<h3 id="create-new-user">' . __( 'Add New User' ) . '</h3>';
  ?>
! <p><?php _e('Create a brand new user and add it to this site.'); ?></p>
  <form action="" method="post" name="createuser" id="createuser" class="validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="createuser" />
! <?php wp_nonce_field( 'create-user', '_wpnonce_create-user' ) ?>
  <?php
  // Load up the passed data, else set to a default.
  foreach ( array( 'user_login' => 'login', 'first_name' => 'firstname', 'last_name' => 'lastname',
--- 333,345 ----
  	if ( $do_both )
  		echo '<h3 id="create-new-user">' . __( 'Add New User' ) . '</h3>';
  ?>
! <p><?php _e('Create a brand new user and add them to this site.'); ?></p>
! <?php
! /** This action is documented in wp-admin/user-new.php */
! ?>
  <form action="" method="post" name="createuser" id="createuser" class="validate"<?php do_action('user_new_form_tag');?>>
  <input name="action" type="hidden" value="createuser" />
! <?php wp_nonce_field( 'create-user', '_wpnonce_create-user' ); ?>
  <?php
  // Load up the passed data, else set to a default.
  foreach ( array( 'user_login' => 'login', 'first_name' => 'firstname', 'last_name' => 'lastname',
***************
*** 338,344 ****
  		<th scope="row"><label for="url"><?php _e('Website') ?></label></th>
  		<td><input name="url" type="text" id="url" class="code" value="<?php echo esc_attr($new_user_uri); ?>" /></td>
  	</tr>
! <?php if ( apply_filters('show_password_fields', true) ) : ?>
  	<tr class="form-field form-required">
  		<th scope="row"><label for="pass1"><?php _e('Password'); ?> <span class="description"><?php /* translators: password input field */_e('(required)'); ?></span></label></th>
  		<td>
--- 376,390 ----
  		<th scope="row"><label for="url"><?php _e('Website') ?></label></th>
  		<td><input name="url" type="text" id="url" class="code" value="<?php echo esc_attr($new_user_uri); ?>" /></td>
  	</tr>
! <?php
! /**
!  * Filter the display of the password fields.
!  *
!  * @since 1.5.1
!  *
!  * @param bool True or false, based on if you want to show the password fields. Default is true.
!  */
! if ( apply_filters( 'show_password_fields', true ) ) : ?>
  	<tr class="form-field form-required">
  		<th scope="row"><label for="pass1"><?php _e('Password'); ?> <span class="description"><?php /* translators: password input field */_e('(required)'); ?></span></label></th>
  		<td>
***************
*** 380,389 ****
  	<?php } ?>
  </table>
  
  <?php submit_button( __( 'Add New User '), 'primary', 'createuser', true, array( 'id' => 'createusersub' ) ); ?>
  
  </form>
  <?php } // current_user_can('create_users') ?>
  </div>
  <?php
! include('./admin-footer.php');
--- 426,440 ----
  	<?php } ?>
  </table>
  
+ <?php
+ /** This action is documented in wp-admin/user-new.php */
+ do_action( 'user_new_form', 'add-new-user' );
+ ?>
+ 
  <?php submit_button( __( 'Add New User '), 'primary', 'createuser', true, array( 'id' => 'createusersub' ) ); ?>
  
  </form>
  <?php } // current_user_can('create_users') ?>
  </div>
  <?php
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/users.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/users.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/users.php	2013-03-03 10:30:38.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/users.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
  if ( ! current_user_can( 'list_users' ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  if ( ! current_user_can( 'list_users' ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
***************
*** 211,217 ****
  
  	add_action( 'admin_head', 'delete_users_add_js' );
  
! 	include ('admin-header.php');
  ?>
  <form action="" method="post" name="updateusers" id="updateusers">
  <?php wp_nonce_field('delete-users') ?>
--- 211,217 ----
  
  	add_action( 'admin_head', 'delete_users_add_js' );
  
! 	include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  <form action="" method="post" name="updateusers" id="updateusers">
  <?php wp_nonce_field('delete-users') ?>
***************
*** 316,322 ****
  	else
  		$userids = $_REQUEST['users'];
  
! 	include ('admin-header.php');
  ?>
  <form action="" method="post" name="updateusers" id="updateusers">
  <?php wp_nonce_field('remove-users') ?>
--- 316,322 ----
  	else
  		$userids = $_REQUEST['users'];
  
! 	include( ABSPATH . 'wp-admin/admin-header.php' );
  ?>
  <form action="" method="post" name="updateusers" id="updateusers">
  <?php wp_nonce_field('remove-users') ?>
***************
*** 368,374 ****
  		exit;
  	}
  
! 	include('./admin-header.php');
  
  	$messages = array();
  	if ( isset($_GET['update']) ) :
--- 368,374 ----
  		exit;
  	}
  
! 	include( ABSPATH . 'wp-admin/admin-header.php' );
  
  	$messages = array();
  	if ( isset($_GET['update']) ) :
***************
*** 455,458 ****
  
  } // end of the $doaction switch
  
! include('./admin-footer.php');
--- 455,458 ----
  
  } // end of the $doaction switch
  
! include( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/widgets.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/widgets.php	2012-11-22 02:45:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/widgets.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** WordPress Administration Bootstrap */
! require_once( './admin.php' );
  
  /** WordPress Administration Widgets API */
  require_once(ABSPATH . 'wp-admin/includes/widgets.php');
--- 7,13 ----
   */
  
  /** WordPress Administration Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  /** WordPress Administration Widgets API */
  require_once(ABSPATH . 'wp-admin/includes/widgets.php');
***************
*** 34,39 ****
--- 34,44 ----
  		wp_enqueue_script( 'jquery-touch-punch' );
  }
  
+ /**
+  * Fires early before the Widgets administration screen loads, after scripts are enqueued.
+  *
+  * @since 2.2.0
+  */
  do_action( 'sidebar_admin_setup' );
  
  $title = __( 'Widgets' );
***************
*** 182,188 ****
  
  	if ( isset($_GET['addnew']) ) {
  		// Default to the first sidebar
! 		$sidebar = array_shift( $keys = array_keys($wp_registered_sidebars) );
  
  		if ( isset($_GET['base']) && isset($_GET['num']) ) { // multi-widget
  			// Copy minimal info from an existing instance of this widget to a new instance
--- 187,194 ----
  
  	if ( isset($_GET['addnew']) ) {
  		// Default to the first sidebar
! 		$keys = array_keys( $wp_registered_sidebars );
! 		$sidebar = array_shift( $keys );
  
  		if ( isset($_GET['base']) && isset($_GET['num']) ) { // multi-widget
  			// Copy minimal info from an existing instance of this widget to a new instance
***************
*** 221,227 ****
  	$width = ' style="width:' . max($control['width'], 350) . 'px"';
  	$key = isset($_GET['key']) ? (int) $_GET['key'] : 0;
  
! 	require_once( './admin-header.php' ); ?>
  	<div class="wrap">
  	<?php screen_icon(); ?>
  	<h2><?php echo esc_html( $title ); ?></h2>
--- 227,233 ----
  	$width = ' style="width:' . max($control['width'], 350) . 'px"';
  	$key = isset($_GET['key']) ? (int) $_GET['key'] : 0;
  
! 	require_once( ABSPATH . 'wp-admin/admin-header.php' ); ?>
  	<div class="wrap">
  	<?php screen_icon(); ?>
  	<h2><?php echo esc_html( $title ); ?></h2>
***************
*** 288,294 ****
  	</div>
  	</div>
  <?php
! 	require_once( './admin-footer.php' );
  	exit;
  }
  
--- 294,300 ----
  	</div>
  	</div>
  <?php
! 	require_once( ABSPATH . 'wp-admin/admin-footer.php' );
  	exit;
  }
  
***************
*** 301,307 ****
  	__('Error in displaying the widget settings form.')
  );
  
! require_once( './admin-header.php' ); ?>
  
  <div class="wrap">
  <?php screen_icon(); ?>
--- 307,313 ----
  	__('Error in displaying the widget settings form.')
  );
  
! require_once( ABSPATH . 'wp-admin/admin-header.php' ); ?>
  
  <div class="wrap">
  <?php screen_icon(); ?>
***************
*** 314,320 ****
  <div id="message" class="error"><p><?php echo $errors[$_GET['error']]; ?></p></div>
  <?php } ?>
  
! <?php do_action( 'widgets_admin_page' ); ?>
  
  <div class="widget-liquid-left">
  <div id="widgets-left">
--- 320,332 ----
  <div id="message" class="error"><p><?php echo $errors[$_GET['error']]; ?></p></div>
  <?php } ?>
  
! <?php
! /**
!  * Fires before the Widgets administration page content loads.
!  *
!  * @since 3.0.0
!  */
! do_action( 'widgets_admin_page' ); ?>
  
  <div class="widget-liquid-left">
  <div id="widgets-left">
***************
*** 395,399 ****
  </div>
  
  <?php
  do_action( 'sidebar_admin_page' );
! require_once( './admin-footer.php' );
--- 407,417 ----
  </div>
  
  <?php
+ 
+ /**
+  * Fires after the available widgets and sidebars have loaded, before the admin footer.
+  *
+  * @since 2.2.0
+  */
  do_action( 'sidebar_admin_page' );
! require_once( ABSPATH . 'wp-admin/admin-footer.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-comments-post.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-comments-post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-comments-post.php	2013-07-16 09:19:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-comments-post.php	2013-09-05 20:38:09.000000000 -0500
***************
*** 21,28 ****
  
  $post = get_post($comment_post_ID);
  
! if ( empty($post->comment_status) ) {
! 	do_action('comment_id_not_found', $comment_post_ID);
  	exit;
  }
  
--- 21,34 ----
  
  $post = get_post($comment_post_ID);
  
! if ( empty( $post->comment_status ) ) {
! 	/**
! 	 * Fires when a comment is attempted on a post that does not exist.
! 	 *
! 	 * @since unknown
! 	 * @param int $comment_post_ID Post ID.
! 	 */
! 	do_action( 'comment_id_not_found', $comment_post_ID );
  	exit;
  }
  
***************
*** 31,50 ****
  
  $status_obj = get_post_status_object($status);
  
! if ( !comments_open($comment_post_ID) ) {
! 	do_action('comment_closed', $comment_post_ID);
  	wp_die( __('Sorry, comments are closed for this item.') );
  } elseif ( 'trash' == $status ) {
! 	do_action('comment_on_trash', $comment_post_ID);
  	exit;
! } elseif ( !$status_obj->public && !$status_obj->private ) {
! 	do_action('comment_on_draft', $comment_post_ID);
  	exit;
! } elseif ( post_password_required($comment_post_ID) ) {
! 	do_action('comment_on_password_protected', $comment_post_ID);
  	exit;
  } else {
! 	do_action('pre_comment_on_post', $comment_post_ID);
  }
  
  $comment_author       = ( isset($_POST['author']) )  ? trim(strip_tags($_POST['author'])) : null;
--- 37,86 ----
  
  $status_obj = get_post_status_object($status);
  
! if ( ! comments_open( $comment_post_ID ) ) {
! 	/**
! 	 * Fires when a comment is attempted on a post that has comments closed.
! 	 *
! 	 * @since unknown
! 	 * @param int $comment_post_ID Post ID.
! 	 */
! 	do_action( 'comment_closed', $comment_post_ID );
  	wp_die( __('Sorry, comments are closed for this item.') );
  } elseif ( 'trash' == $status ) {
! 	/**
! 	 * Fires when a comment is attempted on a trashed post.
! 	 *
! 	 * @since 2.9.0
! 	 * @param int $comment_post_ID Post ID.
! 	 */
! 	do_action( 'comment_on_trash', $comment_post_ID );
  	exit;
! } elseif ( ! $status_obj->public && ! $status_obj->private ) {
! 	/**
! 	 * Fires when a comment is attempted on a post in draft mode.
! 	 *
! 	 * @since unknown
! 	 * @param int $comment_post_ID Post ID.
! 	 */
! 	do_action( 'comment_on_draft', $comment_post_ID );
  	exit;
! } elseif ( post_password_required( $comment_post_ID ) ) {
! 	/**
! 	 * Fires when a comment is attempted on a password-protected post.
! 	 *
! 	 * @since unknown
! 	 * @param int $comment_post_ID Post ID.
! 	 */
! 	do_action( 'comment_on_password_protected', $comment_post_ID );
  	exit;
  } else {
! 	/**
! 	 * Fires before a comment is posted.
! 	 *
! 	 * @since unknown
! 	 * @param int $comment_post_ID Post ID.
! 	 */
! 	do_action( 'pre_comment_on_post', $comment_post_ID );
  }
  
  $comment_author       = ( isset($_POST['author']) )  ? trim(strip_tags($_POST['author'])) : null;
***************
*** 60,67 ****
  	$comment_author       = wp_slash( $user->display_name );
  	$comment_author_email = wp_slash( $user->user_email );
  	$comment_author_url   = wp_slash( $user->user_url );
! 	if ( current_user_can('unfiltered_html') ) {
! 		if ( wp_create_nonce('unfiltered-html-comment_' . $comment_post_ID) != $_POST['_wp_unfiltered_html_comment'] ) {
  			kses_remove_filters(); // start with a clean slate
  			kses_init_filters(); // set up the filters
  		}
--- 96,105 ----
  	$comment_author       = wp_slash( $user->display_name );
  	$comment_author_email = wp_slash( $user->user_email );
  	$comment_author_url   = wp_slash( $user->user_url );
! 	if ( current_user_can( 'unfiltered_html' ) ) {
! 		if ( ! isset( $_POST['_wp_unfiltered_html_comment'] )
! 			|| ! wp_verify_nonce( $_POST['_wp_unfiltered_html_comment'], 'unfiltered-html-comment_' . $comment_post_ID )
! 		) {
  			kses_remove_filters(); // start with a clean slate
  			kses_init_filters(); // set up the filters
  		}
***************
*** 88,99 ****
  $commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type', 'comment_parent', 'user_ID');
  
  $comment_id = wp_new_comment( $commentdata );
- 
  $comment = get_comment($comment_id);
! do_action('set_comment_cookies', $comment, $user);
  
  $location = empty($_POST['redirect_to']) ? get_comment_link($comment_id) : $_POST['redirect_to'] . '#comment-' . $comment_id;
! $location = apply_filters('comment_post_redirect', $location, $comment);
  
  wp_safe_redirect( $location );
  exit;
--- 126,154 ----
  $commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type', 'comment_parent', 'user_ID');
  
  $comment_id = wp_new_comment( $commentdata );
  $comment = get_comment($comment_id);
! 
! /**
!  * Perform other actions when comment cookies are set.
!  *
!  * @since 3.4.0
!  *
!  * @param object $comment Comment object.
!  * @param WP_User $user   User object. The user may not exist.
!  */
! do_action( 'set_comment_cookies', $comment, $user );
  
  $location = empty($_POST['redirect_to']) ? get_comment_link($comment_id) : $_POST['redirect_to'] . '#comment-' . $comment_id;
! 
! /**
!  * The location URI to send commenter after posting.
!  *
!  * @since unknown
!  *
!  * @param string $location The 'redirect_to' URI sent via $_POST.
!  * @param object $comment  Comment object.
!  */
! $location = apply_filters( 'comment_post_redirect', $location, $comment );
  
  wp_safe_redirect( $location );
  exit;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php	2013-10-29 10:46:30.000000000 -0500
***************
*** 0 ****
--- 1,113 ----
+ <?php
+ 
+ /*
+  * A function that uses the wpsc_cachedata filter to add a small message
+  * and the current server time to every web page. The time increments
+  * on every reload.
+  *
+  * On the Advanced Settings page enable "Enable dynamic caching".
+  *
+  * dynamic_cache_test_init()
+  * This function is the first one to be called. This function hooks 
+  * dynamic_cache_test_template() to the WordPress action, wp_footer.
+  * This script is loaded before WordPress is and the add_action() 
+  * function isn't defined at this time. 
+  * This init function hooks onto the cache action "add_cacheaction"
+  * that fires after WordPress (and add_action) is loaded.
+  *
+  *
+  * dynamic_cache_test_template_tag()
+  * This function hooks on to wp_footer and displays the secret template 
+  * tag that will be replaced by our dynamic content on each page view.
+  *
+  *
+  * dynamic_cache_test_filter()
+  * This function hooks on to the filter through which all the cached data
+  * sent to visitors is sent.
+  * In this simple example the template tag is replaced by a html comment 
+  * containing the text "Hello world at " and the current server time. 
+  * If you want to use the output of a WordPress plugin or command you 
+  * must enable "late init" on the settings page. Each time you reload 
+  * the cached page this time will change. View the page source to examine 
+  * this text.
+  *
+  * Plugin authors: NEVER define the template tag for your users. Make them 
+  * choose one so it will be unique to their site.
+  *
+  * **** MAKE SURE YOU KEEP THE TEMPLATE TAG SECRET ****
+  *
+  */
+ 
+ 
+ /*
+  * Uncomment the code below, enable dynamic caching on the Advanced Settings
+  * page and clear the cache. 
+  * Be sure to define DYNAMIC_CACHE_TEST_TAG too. Make it a random string
+  * that will never appear on your website. In your own application this
+  * tag can be whatever you like.
+  */
+ 
+ /*
+ define( 'DYNAMIC_CACHE_TEST_TAG', '' ); // CHANGE THIS!
+ define( 'DYNAMIC_OUTPUT_BUFFER_TAG', '' ); // CHANGE THIS!
+ 
+ if ( DYNAMIC_CACHE_TEST_TAG == '' )
+ 	return false;
+ 
+ // To use an output buffer when generating the dynamic section of your web page
+ // you must generate the HTML/JS/CSS and store it before the page is completed.
+ // That stored text is used by the wpsc_cachedata filter later when the same
+ // function is called again.
+ // You must also create a safety function. This function checks that your newly
+ // cached page is ready to be processed by the wpsc_cachedata filter. It's not
+ // required for already cached pages.
+ // See dynamic_output_buffer_test_safety() for an example. You must add this 
+ // to avoid the following error:
+ // "PHP Fatal error:  ob_start(): Cannot use output buffering in output buffering display handlers in..."
+ //
+ // Steps to run example plugin:
+ // 1. Add the DYNAMIC_OUTPUT_BUFFER_TAG text (as defined above) to your theme where the dynamic content should be.
+ // 2. Call dynamic_output_buffer_test() from your theme or an action like wp_footer
+ // 3. Clear all cached files.
+ 
+ function dynamic_output_buffer_test( &$cachedata = 0 ) {
+ 	if ( defined( 'DYNAMIC_OB_TEXT' ) )
+ 		return str_replace( DYNAMIC_OUTPUT_BUFFER_TAG, DYNAMIC_OB_TEXT, $cachedata );
+ 
+ 	ob_start();
+ 	// call the sidebar function, do something dynamic
+ 	echo "<p>This is a test. The current time on the server is: " . date( 'H:i:s' ) . "</p>";
+ 	$text = ob_get_contents();
+ 	ob_end_clean();
+ 
+ 	if ( $cachedata === 0 ) // called directly from the theme so store the output
+ 		define( 'DYNAMIC_OB_TEXT', $text );
+ 	else // called via the wpsc_cachedata filter. We only get here in cached pages in wp-cache-phase1.php
+ 		return str_replace( DYNAMIC_OUTPUT_BUFFER_TAG, $text, $cachedata );
+ 
+ }
+ add_cacheaction( 'wpsc_cachedata', 'dynamic_output_buffer_test' );
+ 
+ function dynamic_output_buffer_test_safety( $safety ) {
+ 	if ( defined( 'DYNAMIC_OB_TEXT' ) )
+ 		return 1; // ready to replace tag with dynamic content.
+ 	else
+ 		return 0; // tag cannot be replaced.
+ }
+ add_cacheaction( 'wpsc_cachedata_safety', 'dynamic_output_buffer_test_safety' );
+ 
+ function dynamic_cache_test_filter( &$cachedata) {
+ 	return str_replace( DYNAMIC_CACHE_TEST_TAG, "<!-- Hello world at " . date( 'H:i:s' ) . " -->", $cachedata );
+ }
+ add_cacheaction( 'wpsc_cachedata', 'dynamic_cache_test_filter' );
+ 
+ function dynamic_cache_test_template_tag() {
+ 	echo DYNAMIC_CACHE_TEST_TAG; // This is the template tag
+ }
+ 
+ function dynamic_cache_test_init() {
+ 	add_action( 'wp_footer', 'dynamic_cache_test_template_tag' );
+ }
+ add_cacheaction( 'add_cacheaction', 'dynamic_cache_test_init' );
+ */
+ ?>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-content/plugins/wp-super-cache/plugins/searchengine.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-content/plugins/wp-super-cache/plugins/searchengine.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-content/plugins/wp-super-cache/plugins/searchengine.php	2013-09-17 11:12:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-content/plugins/wp-super-cache/plugins/searchengine.php	2013-10-29 10:46:30.000000000 -0500
***************
*** 8,16 ****
  	if( $string != '' )
  		return $string;
  
! 	if( $_COOKIE[ '7a1254cba80da02d5478d91cfd0a873a' ] == 1 ) {
  		$string = 'searchengine';
! 	} elseif( $_SERVER[ 'HTTP_REFERER' ] != '' ) {
  		if( is_array( $passingthrough ) == false )
  			return $string;
  
--- 8,16 ----
  	if( $string != '' )
  		return $string;
  
! 	if( isset( $_COOKIE[ '7a1254cba80da02d5478d91cfd0a873a' ] ) && $_COOKIE[ '7a1254cba80da02d5478d91cfd0a873a' ] == 1 ) {
  		$string = 'searchengine';
! 	} elseif( isset( $_SERVER[ 'HTTP_REFERER' ] ) && $_SERVER[ 'HTTP_REFERER' ] != '' ) {
  		if( is_array( $passingthrough ) == false )
  			return $string;
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-content/plugins/wp-super-cache/wp-cache-base.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-content/plugins/wp-super-cache/wp-cache-base.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-content/plugins/wp-super-cache/wp-cache-base.php	2013-09-17 11:12:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-content/plugins/wp-super-cache/wp-cache-base.php	2013-10-29 10:46:30.000000000 -0500
***************
*** 19,24 ****
--- 19,26 ----
  	if( defined( 'SUBDOMAIN_INSTALL' ) && constant( 'SUBDOMAIN_INSTALL' ) == true ) {
  		$blogcacheid = $WPSC_HTTP_HOST;
  	} else {
+ 		if ( isset( $base ) == false )
+ 			$base = '';
  		$request_uri = preg_replace('/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '..', '', $_SERVER['REQUEST_URI'] ) );
  		if( strpos( $request_uri, '/', 1 ) ) {
  			if( $base == '/' ) {
